Subject: Re: bug#36365: Add info how to deselect secondary selection (Emacs manual)

From: Sebastian Urban <[email-masked]>
Date: Fri, 2 Aug 2019 15:29:43 +0200

> We've established that it isn't possible to deselect without making
> a new selection.

True.

> So I don't think deselection is something we can describe, as it
> doesn't really exist.

That's why additional sentence won't be:
    "This command cancels any existing secondary selection."
Instead it should be:
    "This command cancels any existing secondary selection, when it
    starts a new one."

This sentence is from your patch and is applied to 'M-mouse-1'
description in the manual, which runs 'mouse-start-secondary'.

>> As for description of 'M-mouse-1' in Emacs Manual, (...)
>
> Yes, the manual should generally present a coherent text, so the
> addition looked like an improvement to me.

OK, although I still disagree that this is an improvement, as I said
in previous message, I'm leaving this one alone.